wrapsrv(1)

NAME
wrapsrv - DNS SRV record command line wrapper

SYNOPSIS
wrapsrv
[SRVNAME] [COMMAND] [OPTION]...

DESCRIPTION
wrapsrv adds support for connecting to a network service based on DNS SRV record lookups to commands that do not support the DNS SRV record. wrapsrv implements the weighted priority client connection algorithm in RFC 2782. The specified command line will be invoked one or more times with %h and %p sequences in the command line substituted for the hostname and port elements of the selected SRV record. The command line invoked must exit and return 0 after a successful connection or exit and return non-zero if the connection fails. wrapsrv will itself exit with the return code of the last command line invocation, or it may exit with a non-zero return code if the DNS SRV record lookup fails for any reason.